﻿namespace AirplaneWithRadar.Entities
{
    public class AirplaneWithRadarEntity : AirplaneEntity
    {
        public Color AdditColor { get; set; }
        public bool RadarOnBoard { get; private set; }
        public bool AdditFuelPod { get; private set; }

        public AirplaneWithRadarEntity(int speed, double weight, Color mainColor, Color additColor, bool radarOnBoard, bool additFuelPod) 
            : base (speed, weight, mainColor)
        {
            AdditColor = additColor;
            RadarOnBoard = radarOnBoard;
            AdditFuelPod = additFuelPod;
        }
    }
}
