﻿namespace AirplaneWithRadar.MovementStrategy
{
    public class ObjectParameters
    {
        private readonly int x;
        private readonly int y;
        private readonly int width;
        private readonly int height;
        public int LeftBorder => x;

        public int TopBorder => y;

        public int RightBorder => x + width;

        public int DownBorder => y + height;

        public int ObjectMiddleHorizontal => x + width / 2;

        public int ObjectMiddleVertical => y + height / 2;
        public ObjectParameters(int x, int y, int width, int height)
        {
            this.x = x;
            this.y = y;
            this.width = width;
            this.height = height;
        }

    }
}
