﻿namespace AirplaneWithRadar.MovementStrategy
{
    public interface IMoveableObject
    {
        ObjectParameters? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(Movement direction);
        void MoveObject(Movement direction);
    }
}